BRIDGE(8)

NAME
bridge - show / manipulate bridge addresses and devices

SYNOPSIS
bridge [ OPTIONS ] OBJECT { COMMAND | help }

OBJECT := { fdb | monitor }

OPTIONS := { -V[ersion] | -s[tatistics]
bridge fdb { add | del } LLADDR dev DEV { local | temp } { self } { embedded }
bridge fdb [ show ] [ dev DEV ]
bridge monitor [ all | neigh | link ]

OPTIONS

-V, -Version
    print the version of the bridge utility and exit.

-s, -stats, -statistics
    output more information. If the option appears twice or more, the amount of information increases. As a rule, the information is statistics or some time values.

BRIDGE - COMMAND SYNTAX

  OBJECT

fdb - Forwarding Database entry.

  COMMAND
Specifies the action to perform on the object. The set of possible actions depends on the object type. As a rule, it is possible to add, delete and show (or list ) objects, but some objects do not allow all of these operations or have some additional commands. The help command is available for all objects. It prints out a list of available commands and argument syntax conventions.

If no command is given, some default command is assumed. Usually it is list or, if the objects of this class cannot be listed, help.

bridge fdb - forwarding database management
fdb objects contain known Ethernet addresses on a link.

The corresponding commands display fdb entries, add new entries, and delete old ones.

  bridge fdb add - add a new fdb entry
This command creates a new fdb entry.

ADDRESS
    the Ethernet MAC address.

dev NAME
    the interface to which this address is associated.

local
    - the address is associated with a local interface on the system and is never forwarded.

    temp - the address is a dynamic entry, and will be removed if not used.

    self - the address is associated with a software fdb (default)

    embedded - the address is associated with an offloaded fdb

  bridge fdb delete - delete a forwarding database entry
This command removes an existing fdb entry.

The arguments are the same as with bridge fdb add,

  bridge fdb show - list forwarding entries.
This commands displays current forwarding table.

With the -statistics option, the command becomes verbose. It prints out the last updated and last used time for each entry.

bridge monitor - state monitoring
The bridge utility can monitor the state of devices and addresses continuously. This option has a slightly different format. Namely, the monitor command is the first in the command line and then the object list follows: bridge monitor [ all | LISTofOBJECTS ] OBJECT-LIST is the list of object types that we want to monitor. It may contain link, and fdb. If no file argument is given, bridge opens RTNETLINK, listens on it and dumps state changes in the format described in previous sections.

If a file name is given, it does not listen on RTNETLINK, but opens the file containing RTNETLINK messages saved in binary format and dumps them. Such a history file can be generated with the

NOTES
This command uses facilities added in Linux 3.0. Although the forwarding table is maintained on a per-bridge device basis the bridge device is not part of the syntax. This is a limitation of the underlying netlink neighbour message protocol. When displaying the forwarding table, entries for all bridges are displayed. Add/delete/modify commands determine the underlying bridge device based on the bridge to which the coresponding ethernet device is attached.

SEE ALSO
ip(8)
Please direct bugreports and patches to: <netdev@vger.kernel.org>

AUTHOR
Original Manpage by Stephen Hemminger